Holger's Java API

## com.antelmann.net.web
Class RSSChannel

    java.lang.Object
      com.antelmann.util.XmlHelper
          com.antelmann.net.web.RSSChannel

All Implemented Interfaces:
  XMLSerializable, DetailedString, Wrapped<Element>, Serializable

    public class RSSChannel

extends XmlHelper

represents a channel in the RSS format created by an RSSHandler

Author:
  Holger Antelmann
See Also:
  `RSSHandler`, `RSSMenu`, Serialized Form

Method Summary
`static Properties` `createProperties(Element element)` A new map is created on each call.
`String` `getDescription()`
`ImageIcon` `getImageIcon()`
`URL` `getImageURL()`
`RSSItem[]` `getItems()`
`Date` `getLastBuildDate()`
`Properties` `getProperties()` convenience method; a new map is created on each call.
`RSSHandler` `getRSSHandler()`
`String` `getTitle()`
`URL` `getURL()`

Methods inherited from class com.antelmann.util.XmlHelper

`addBinaryElement, addElement, append, append, append, append, containsTag, countTags, createDocument, createElement, createElement, deserializeXML, deserializeXML, exportXML, getAllTagText, getBinaryTagData, getChildElements, getChildElements, getDocumentBuilder, getElement, getFirstChild, getInputSource, getInputStream, getParent, getPersistenceDelegates, getTagText, getTagText, getToStringDelegator, importXML, readIntoXMLSerializable, removeFirstTag, removeTags, serializeXML, serializeXML, serializeXML, serializeXML, serializeXML, setBuilderFactory, setTagText, storeTo, toDetailedString, toXmlString, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRSSHandler

    public RSSHandler getRSSHandler()

### getItems

    public RSSItem[] getItems()
                       throws FormatException

  Throws:
    `FormatException`

### getTitle

    public String getTitle()

### getDescription

    public String getDescription()

### getURL

    public URL getURL()
               throws MalformedURLException

  Throws:
    `MalformedURLException`

### getLastBuildDate

    public Date getLastBuildDate()

### getImageURL

    public URL getImageURL()
                    throws IOException

  Throws:
    `IOException`

### getImageIcon

    public ImageIcon getImageIcon()
                           throws IOException

  Throws:
    `IOException`

### getProperties

    public Properties getProperties()

  convenience method; a new map is created on each call.

### createProperties

    public static Properties createProperties(Element element)

  A new map is created on each call.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads